%global momorel 2

Summary: Generic Programming for Computer Vision
Name: vigra
Version: 1.6.0
Release: %{momorel}m%{?dist}
License: MIT/X
Group: Development/Libraries
Source0: http://kogs-www.informatik.uni-hamburg.de/~koethe/vigra/%{name}%{version}.tar.gz
NoSource: 0
URL: http://kogs-www.informatik.uni-hamburg.de/~koethe/vigra/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: zlib-devel, libjpeg-devel >= 8a, libpng-devel, libtiff-devel, fftw-devel >= 3

%description
VIGRA stands for "Vision with Generic Algorithms". It's a novel computer vision
library that puts its main emphasis on customizable algorithms and data
structures. By using template techniques similar to those in the C++ Standard
Template Library, you can easily adapt any VIGRA component to the needs of your
application without thereby giving up execution speed.

%package devel
Summary: Development tools for programs which will use the vigra library
Group: Development/Libraries
Requires: vigra = %{version}-%{release}
Requires: libjpeg-devel, libtiff-devel, libpng-devel, zlib-devel, fftw-devel >= 3

%description devel
The vigra-devel package includes the header files necessary for developing
programs that use the vigra library.

%prep
%setup -q -n %{name}%{version}
chmod 644 %{_builddir}/%{name}%{version}/doc/vigra/documents/*.ps
rm -f %{_builddir}/%{name}%{version}/doc/vigra/.cvsignore

%build
export CXXFLAGS="$RPM_OPT_FLAGS"
./configure \
    --prefix=%{_prefix} \
    --with-tiff \
    --with-jpeg \
    --with-png \
    --with-zlib \
    --with-fftw \
    --enable-shared \
    --disable-static \
    --libdir=%{_libdir}
make

%install
rm -rf %{buildroot}
%makeinstall
rm -f %{buildroot}/%{_libdir}/libvigraimpex.la
rm -rf %{buildroot}/usr/doc

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc LICENSE.txt README.txt
%{_libdir}/libvigraimpex.so.*

%files devel
%defattr(-,root,root,-)
%{_bindir}/vigra-config
%{_includedir}/vigra
%{_libdir}/libvigraimpex.so
%doc doc/vigra/*.html doc/vigra/*.css doc/vigra/*.png doc/vigra/*.gif doc/vigra/*.ps doc/vigra/documents/

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (1.6.0-2m)
- full rebuild for mo7 release

* Sat Aug  7 2010 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.6.0-1m)
- update to 1.6.0

* Sat Apr 10 2010 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.5.0-5m)
- rebuild against libjpeg-8a

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.5.0-4m)
- rebuild against gcc-4.4 and glibc-2.11

* Mon Sep 14 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.5.0-3m)
- rebuild against libjpeg-7

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.5.0-2m)
- rebuild against rpm-4.6

* Tue Jul  8 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.5.0-1m)
- import from Fedora to Momonga for OOo3

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 1.5.0-4
- Autorebuild for GCC 4.3

* Tue Aug 21 2007 Bruno Postle <bruno@postle.net> 1.5.0-3
  - Bumping for Jesse

* Mon Feb 19 2007 Bruno Postle <bruno@postle.net> 1.5.0-2
  - update to 1.5.0 release
  - fix bug 228926: vigra: $RPM_OPT_FLAGS not used

* Tue Sep 12 2006 Bruno Postle <bruno@postle.net> 1.4.0-4
  - remove gcc-c++ dependency

* Fri Sep 08 2006 Bruno Postle <bruno@postle.net> 1.4.0-3
  - change defattr
  - require fftw >= 3, gcc-c++

* Tue Sep 05 2006 Bruno Postle <bruno@postle.net> 1.4.0-2
  - update with review feedback

* Mon Aug 28 2006 Bruno Postle <bruno@postle.net> 1.4.0-1
  - revive, update to 1.4 with new license, remove patches, 
  - split to devel package

* Fri Jul 02 2004 Bruno Postle <bruno@postle.net>
  - add pablo's vigra_typetraits_extension.diff patch and shorten
    the impex patch so it doesn't conflict

* Wed May 05 2004 Bruno Postle <bruno@postle.net>
  - new build with patches for 16bit tiff and viff bug

* Sun Feb 08 2004 Bruno Postle <bruno@postle.net>
  - new build with shared libraries

* Wed Jan 04 2004 Bruno Postle <bruno@postle.net>
  - new build without shared libraries

* Tue Nov 25 2003 Bruno Postle <bruno@postle.net>
  - new build with shared libraries

* Sun Nov 23 2003 Bruno Postle <bruno@postle.net>
  - make a horrible mess


